- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
dilate3d
Complete List of ArrayFire Functions ArrayFire Functions by Category » Image Processing » | Morphological Operations

Dilation(morphological operator) for volumes. More...

## Functions
AFAPI array | dilate3 (const array &in, const array &mask)
| C++ Interface for 3D image dilation. More...
AFAPI af_err | af_dilate3 (af_array *out, const af_array in, const af_array mask)
| C Interface for 3d image dilation. More...

## Detailed Description

Dilation(morphological operator) for volumes.

Dilation for a volume is similar to the way dilation works on an image. Only difference is that the masking operation is performed on a volume instead of a rectangular region.

For further reference, see: Dilation (morphology))

## Function Documentation

AFAPI af_err af_dilate3 | ( | af_array * | out,
|  | const af_array | in,
|  | const af_array | mask
| ) |  |

C Interface for 3d image dilation.

Parameters

  [out] | out | array is the dilated volume
  [in] | in | array is the input volume
  [in] | mask | is the neighborhood delta volume

Returns
  AF_SUCCESS if the dilated successfully, otherwise an appropriate error code is returned.

AFAPI array af::dilate3 | ( | const array & | in,
|  | const array & | mask
| ) |  |

C++ Interface for 3D image dilation.

Parameters

  [in] | in | array is the input volume
  [in] | mask | is the neighborhood delta volume

Returns
  the dilated volume